Hello,

I tried to build openssl-1.1.1 with "no-deprecated"

src/ssl_sock.o: In function `ssl_sock_do_create_cert':
/home/travis/build/chipitsine/haproxy/src/ssl_sock.c:1867: undefined
reference to `X509_get_notBefore'
/home/travis/build/chipitsine/haproxy/src/ssl_sock.c:1868: undefined
reference to `X509_get_notAfter'
src/ssl_sock.o: In function `smp_fetch_ssl_x_notafter':
/home/travis/build/chipitsine/haproxy/src/ssl_sock.c:6779: undefined
reference to `X509_get_notAfter'
src/ssl_sock.o: In function `smp_fetch_ssl_x_notbefore':
/home/travis/build/chipitsine/haproxy/src/ssl_sock.c:6883: undefined
reference to `X509_get_notBefore'



in include/common/openssl-compat.h I see

#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || (LIBRESSL_VERSION_NUMBER
< 0x20700000L)
#define X509_getm_notBefore     X509_get_notBefore
#define X509_getm_notAfter      X509_get_notAfter
#endif

but it seems does not work.


thanks,

Ilya Shipitsin

Reply via email to